For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

Listar usuários do portal

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: name
dirstringOpcionalDefault: asc
Respostas
200

Users listed

application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
get/portal-user/users
GET /api/b2b/portal-user/users HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "currentPage": 1,
  "perPage": 1,
  "total": 1,
  "items": [
    {
      "id": "text",
      "profile": "SELLER",
      "name": "text",
      "email": "text",
      "cpf": "text",
      "image": "text",
      "creation_date": "2026-01-01T00:00:00.000Z",
      "active": true
    }
  ]
}

Criar usuário

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
profilestring · enumOpcionalValores possíveis:
namestringOpcional
emailstringOpcional
passwordstringOpcional
phonestringOpcional
cpfstringOpcional
seller_idstringOpcional
imagestringOpcional
activebooleanOpcional
groupsstring[]Opcional
partnersstring[]Opcional
Respostas
201

Criado

application/json
idstringOpcional
profilestring · enumOpcionalValores possíveis:
namestringOpcional
emailstringOpcional
phonestringOpcional
cpfstringOpcional
seller_idstringOpcional
show_notification_alertbooleanOpcional
change_password_next_accessbooleanOpcional
imagestringOpcional
creation_datestring · date-timeOpcional
last_update_datestring · date-timeOpcional
first_access_datestring · date-timeOpcional
originstringOpcional
email_confirmedbooleanOpcional
access_request_statusstring · enumOpcionalValores possíveis:
access_request_datestring · date-timeOpcional
access_request_end_datestring · date-timeOpcional
activebooleanOpcional
groupsstring[]Opcional
post/portal-user/users
POST /api/b2b/portal-user/users HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 181

{
  "profile": "SELLER",
  "name": "text",
  "email": "text",
  "password": "text",
  "phone": "text",
  "cpf": "text",
  "seller_id": "text",
  "image": "text",
  "active": true,
  "groups": [
    "text"
  ],
  "partners": [
    "text"
  ]
}
{
  "id": "text",
  "profile": "SELLER",
  "name": "text",
  "email": "text",
  "phone": "text",
  "cpf": "text",
  "seller_id": "text",
  "show_notification_alert": true,
  "change_password_next_access": true,
  "image": "text",
  "creation_date": "2026-01-01T00:00:00.000Z",
  "last_update_date": "2026-01-01T00:00:00.000Z",
  "first_access_date": "2026-01-01T00:00:00.000Z",
  "origin": "text",
  "email_confirmed": true,
  "access_request_status": "APPROVED",
  "access_request_date": "2026-01-01T00:00:00.000Z",
  "access_request_end_date": "2026-01-01T00:00:00.000Z",
  "active": true,
  "groups": [
    "text"
  ],
  "partners": [
    {
      "id": "text",
      "name": "text",
      "type": "text",
      "fiscal_registration_number": "text",
      "state_registration": "text",
      "email": "text",
      "phone": "text",
      "mobile": "text",
      "active": true
    }
  ]
}